package org.ntlab.radishforandroidstudio.java3d;

public class TransformGroup extends Group {

	private Transform3D transform;	
	
	public TransformGroup() {
		this(new Transform3D());
	}
	
	public TransformGroup(Transform3D transform) {
		this.transform = transform;
	}
	
	public void setTransform(Transform3D transform) {
		this.transform = transform;
	}
	
	public void getTransform(Transform3D transform) {
		transform.set(this.transform);
	}
	
	public Node cloneTree() {
		TransformGroup newInstance = new TransformGroup(new Transform3D(transform));
		return newInstance;		
	}
}
